Bug 990642 - rdo release RPM not installed on all fedora hosts
rdo release RPM not installed on all fedora hosts
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Magr
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 11:47 EDT by Pádraig Brady
Modified: 2016-04-18 03:12 EDT (History)
4 users (show)

See Also:
Fixed In Version: openstack-packstack-2013.2.1-0.12.dev835.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 19:01:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 50586 None None None Never

  None (edit)
Description Pádraig Brady 2013-07-31 11:47:59 EDT
On el6 there is a patch to packstack to install the rdo release rpm on all hosts, not just the host that packstack was initiated form
(Note that is tied up with the if EPEL==y clause which is not strictly correct)

On Fedora though, there is no such code.

I'm thinking that this could be generic logic in upstream packstack.
I.E. simply, on all platforms:

    rdo_release=s.popen("rpm -q rdo-release --qf='%{name}-%{version}\n'")
    rdo_release=rdo_release[11:]
    if rdo_release:
      server.append("(rpm -q 'rdo-release' || yum install -y --nogpg http://rdo.fedorapeople.org/openstack/openstack-%s/rdo-release-%s.rpm ) || echo -n ''" % (rdo_release, rdo_release))

Note You need to log in before you can comment on or make changes to this bug.